Page MenuHomePhabricator

Update constraint table
Closed, ResolvedPublic

Description

We should update the constraint table, so when we announce the new constraint API and a gadget for the item page users are not confronted with very outdated data.

Instructions:

  1. Create constraints from template
  2. Then import generated file to constraint table:
php maintenance/runScript.php extensions/Constraints/maintenance/UpdateConstraintsTable.php --csv-file <path_to_csv_file>

Event Timeline

@hoo @aude @Addshore would one of you please do this in the next weeks?

hoo added a comment.Mar 15 2017, 11:31 AM

@hoo @aude @Addshore would one of you please do this in the next weeks?

When exactly? Close to the deploy (when is that?)?

aude added a comment.Mar 15 2017, 1:18 PM

I could take care of this if @hoo (or @Addshore) can't or is too busy

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Does not matter when - as soon as you find time.

hoo claimed this task.Mar 30 2017, 11:53 AM

Taking care of this now.

Mentioned in SAL (#wikimedia-operations) [2017-03-30T12:15:58Z] <hoo> Updated the Constraints table on Wikidata, per T160506.

hoo closed this task as Resolved.Mar 30 2017, 12:16 PM

Done:

hoo@terbium:~/constraint-data$ mwscript extensions/Wikidata/extensions/Constraints/maintenance/UpdateConstraintsTable.php --wiki wikidatawiki --csv-file constraints-wikidatawiki.2017-03-30.csv
11884 rows inserted
Lucas_Werkmeister_WMDE reopened this task as Open.May 3 2017, 10:23 AM

Since the API and user script announcement, several constraints have been fixed, such as this one which used to report two violations on every date of birth in Wikidata. Can we do another reload? We should also announce it to the community so that they know they should get in any necessary changes before the date in question (say, next Wednesday, 2017-05-10).

hoo added a comment.May 3 2017, 10:26 AM

Since the API and user script announcement, several constraints have been fixed, such as this one which used to report two violations on every date of birth in Wikidata. Can we do another reload? We should also announce it to the community so that they know they should get in any necessary changes before the date in question (say, next Wednesday, 2017-05-10).

It's rather straight-forward to do this again, just tell me when it's needed and I'll take care of it.

I would prefer Thursday, May 11th. I'll announce it to the community (asking them to do some changes before if they want to) tomorrow and I'd like to let them one full week. I hope it's fine for you all :)

aude added a comment.May 15 2017, 2:07 PM

updated the constraints

Should the completed update be announced? Looks like the original announcement was already archived.

Small announcement made here :)

Lucas_Werkmeister_WMDE closed this task as Resolved.May 15 2017, 2:42 PM

Great, then I think we can close this again. Thanks @aude for the update and @Lea_Lacroix_WMDE for the announcement :)